//==============================================================================
//
//  This file was auto-generated by a tool using the PayPal REST API schema.
//  More information: https://developer.paypal.com/docs/api/
//
//==============================================================================
using System.Collections.Generic;
using Newtonsoft.Json;

namespace PayPal.Api
{
    /// <summary>
    /// A REST API payout batch header resource object, containing detailed information about a <seealso cref="PayoutBatch"/>.
    /// <para>
    /// See <a href="https://developer.paypal.com/docs/api/">PayPal Developer documentation</a> for more information.
    /// </para>
    /// </summary>
    public class PayoutBatchHeader : PayPalRelationalObject
    {
        /// <summary>
        /// An ID for the batch payout. Generated by PayPal. 30 characters max.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "payout_batch_id")]
        public string payout_batch_id { get; set; }

        /// <summary>
        /// Generated batch status.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "batch_status")]
        public string batch_status { get; set; }

        /// <summary>
        /// The time the batch entered processing.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "time_created")]
        public string time_created { get; set; }

        /// <summary>
        /// The time that processing for the batch was completed.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "time_completed")]
        public string time_completed { get; set; }

        /// <summary>
        /// The original batch header as provided by the payment sender.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "sender_batch_header")]
        public PayoutSenderBatchHeader sender_batch_header { get; set; }

        /// <summary>
        /// Total amount, in U.S. dollars, requested for the applicable payouts.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "amount")]
        public Currency amount { get; set; }

        /// <summary>
        /// Total estimate in U.S. dollars for the applicable payouts fees.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "fees")]
        public Currency fees { get; set; }

        /// <summary>
        /// An array of batch errors, if any.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "errors")]
        public List<Error> errors { get; set; }
    }
}
